Bug 727574 - yum's RepoStorage api causes attribute error
Summary: yum's RepoStorage api causes attribute error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum
Version: 6.2
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: James Antill
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On:
Blocks: 730812 743916 744150
TreeView+ depends on / blocked
 
Reported: 2011-08-02 13:50 UTC by Pradeep Kilambi
Modified: 2014-01-21 06:24 UTC (History)
5 users (show)

Fixed In Version: yum-3.2.29-18.el6
Doc Type: Bug Fix
Doc Text:
Under certain circumstances, an attempt to use the RepoStorage API may have failed with an AttributeError. With this update, this error has been fixed, and the RepoStorage API can now be used as expected.
Clone Of:
: 743916 (view as bug list)
Environment:
Last Closed: 2011-12-06 17:34:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1702 normal SHIPPED_LIVE yum bug fix and enhancement update 2011-12-06 00:49:49 UTC

Description Pradeep Kilambi 2011-08-02 13:50:29 UTC
Description of problem:

Pulp uses RepoStorage to accumulate repos and their package sacks outside of YumBase. Due to this certain attributes aren't set (which are set in yumBase) that RepoStorage assumes they are present. The error we see is:

AttributeError: DepSolver instance has no attribute '_override_sigchecks'
 
James already fixed this in fedora rawhide. Patch needs to be backported.

Comment 12 Miroslav Svoboda 2011-10-25 15:22:21 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, the Pulp application used the RepoStorage API directly outside of the YumBase class, therefore certain attributes were not set as expected. As a consequence, users experienced attributes errors when using the Pulp server to manage their software repositories. With this update, RepoStorage has been modified to include the condition that verifies and sets these attributes. These attributes errors occur no more when using Pulp.

Comment 13 Jaromir Hradilek 2011-10-26 15:24:01 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Previously, the Pulp application used the RepoStorage API directly outside of the YumBase class, therefore certain attributes were not set as expected. As a consequence, users experienced attributes errors when using the Pulp server to manage their software repositories. With this update, RepoStorage has been modified to include the condition that verifies and sets these attributes. These attributes errors occur no more when using Pulp.+Under certain circumstances, an attempt to use the RepoStorage API may have failed with an AttributeError. With this update, this error has been fixed, and the RepoStorage API can now be used as expected.

Comment 14 errata-xmlrpc 2011-12-06 17:34:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1702.html


Note You need to log in before you can comment on or make changes to this bug.